﻿/*
 * Copyright (c) 2013 CodingBlocks.NET <http://codingblocks.net>, Michael Outlaw <michael@michaeloutlaw.com>
 * 
 * See the file license.txt for copying permission.
 */

using SomeLibrary;
using System;

namespace SomeLibrary
{
    public class Class1 : ISomeInterface
    {
        private Class1() { }
        private static volatile Class1 _instance;
        private static readonly Object _lock = new Object();
        public static Class1 Instance
        {
            get
            {
                if (_instance == null)
                {
                    lock (_lock)
                    {
                        if (_instance == null)
                        {
                            _instance = new Class1();
                        }
                    }
                }
                return _instance;
            }
        }

        private String Data
        {
            get
            {
                return "Class1 is ready.";
            }
        }

        public String GetMessage()
        {
            return Data;
        }
    }
}
