﻿/*
 * Copyright (c) 2013 CodingBlocks.NET <http://codingblocks.net>, Michael Outlaw <michael@michaeloutlaw.com>
 * 
 * See the file license.txt for copying permission.
 */

using SomeLibrary;
using System;

namespace SomeLibrary
{
    public class Class2 : ISomeInterface
    {
        private Class2() { }
        private static volatile Class2 _instance;
        private static readonly Object _lock = new Object();
        public static Class2 Instance
        {
            get
            {
                if (_instance == null)
                {
                    lock (_lock)
                    {
                        if (_instance == null)
                        {
                            _instance = new Class2();
                        }
                    }
                }
                return _instance;
            }
        }

        private String Message
        {
            get
            {
                return "Class2 has a message";
            }
        }

        public String GetMessage()
        {
            return Message;
        }
    }
}
