﻿/*
 * Copyright (c) 2013 CodingBlocks.NET <http://codingblocks.net>, Michael Outlaw <michael@michaeloutlaw.com>
 * 
 * See the file license.txt for copying permission.
 */

using SomeLibrary;
using System;

namespace UnknownClassLibrary1
{
    public class UnknownClass1 : ISomeInterface
    {
        private UnknownClass1() { }
        private static volatile UnknownClass1 _instance;
        private static readonly Object _lock = new Object();
        public static UnknownClass1 Instance
        {
            get
            {
                if (_instance == null)
                {
                    lock (_lock)
                    {
                        if (_instance == null)
                        {
                            _instance = new UnknownClass1();
                        }
                    }
                }
                return _instance;
            }
        }

        private String MysteryData
        {
            get
            {
                return "UnknownClass1 is ready but we'll never know.";
            }
        }

        public String GetMessage()
        {
            return MysteryData;
        }
    }
}
